   
// Alle Einstellungen in der Datei xyz
//
//
#pragma once
// GENERELLE EINSTELLUNGEN ------------------
#define SensorStandort "Haus1"   
#define SensorRaumName "Kueche"
#define SensorKnoten "Sen1"

#define SensorWlanSsid "SSID"
#define SensorWlanPass "1234567"
#define SensorWlanWifiErrorDelay 200

#define SensorPass "admin"

// MQTT EINSTELLUNGEN -----------------------
#define MQTTUserName "USER"
#define MQTTUserPass "PASS"
#define MQTTServer "SERVER"
#define MQTTPort 1883
#define MQTTPublishZeit 60      //alle 60 Sekunden

// Definiere einzelnde Funktionen sonst mit // deaktivieren
// Definiere DHT
#define DHTSensorPin 13        // Am WEMOS mini D1: D7
#define DHTSensorNutzen false   // alternativ False (true/false)
#define DHTSensorReadInt 30    // alle 30 Sekunden 
#define DHTSensorTyp DHT22

// Definiere BMP280
#define BME280i2cAdresse 0x76   // Am WEMOS mini D1: D1 SCL & D2 SCA
#define BME280i2cTempDrausC 15  // Durchschnittliche Außentemperatur C°
#define BME280i2cTempDrausF 59  // Durchschnittliche Außentemperatur F°
#define BME280i2cLuftDruck 1013.25 // Lufdruck in hPA auf SeeNiveau Normal Null 1013.25hpa
#define BME280i2cDruckKor -0    // Luftdruckkorregtur, wenn hPA nicht passt 
#define BME280i2cNutzen true    // alternativ False
#define BME280i2cReadInt 30     // alle 30 Sekunden

// Definiere OLED
#define OLEDi2cAdresse 0x3C   // Am WEMOS mini D1: D1 SCL & D2 SCA
#define OLEDi2cNutzen true    // alternativ False
#define OLEDi2cReadInt 6      // alle 5 Sekunden

// Definiere AnalogRead
#define AnalogReadPin A0       // Am WEMOS mini D1: A0
#define AnalogNutzen true      // alternativ False
#define AnalogReadInt 30       // alle 30 Sekunden
#define AnalogReadName "LDR"   // Name f�r Sensor

// Definiere Bewegungsmelder
#define PIRSensorPin 15              // Am WEMOS mini D1: D8
#define PIRSensorPinNutzen true      // alternativ False
