#include "IOmqttSensor3.h"
#include "IOmgttSensor3_Configs.h"
#include "IOmqttSensor3_Sprache.h"
int int_var_LastDHTCheck = 0;



/*
 * // [DE] Funktion wird in der u.A. in der Loop verwendet und soll NAN Werte abfangen. Nach 20 fehlerhaften Abfragen schickt er dennoch NAN
 * // [EN] Function will be used in Loop and should provide valide values.After 20 Error send NAN
 */
float float_fkt_getTempDHT(){ 
  Serial.println("*INFO:DO  :DHT Temperatur lesen"); 
  float var_float_getTempC;
  var_float_getTempC = var_dhtSensor.readTemperature();      
  if (isnan(var_float_getTempC)&& isnan(Value101Temperatur.toFloat())) {              // [DE] Zum Abfangen von NAN und komischer Werte
    delay(125);                                                                       // [EN]
    var_float_getTempC = var_dhtSensor.readTemperature();                         
    delay(125);
  }
  if (isnan(var_float_getTempC)) {                                                   // [DE] Zum Abfangen von NAN und komischer Werte
    var_float_getTempC = Value101Temperatur.toFloat();                               // [EN]                        
  }
  return var_float_getTempC;
}


/*
 * // [DE] Funktion wird in der u.A. in der Loop verwendet und soll NAN Werte abfangen. Nach 20 fehlerhaften Abfragen schickt er dennoch NAN
 * // [EN] Function will be used in Loop and should provide valide values. After 20 Error send NAN
 */

float float_fkt_getHumDHT(){     
              
  Serial.println("*INFO:DO  :DHT Humiditiy lesen");                                  
  float var_float_getHum;     
  var_float_getHum = var_dhtSensor.readHumidity();
  
  if (isnan(var_float_getHum)&& isnan(Value102Luftfeuchtigkeit.toFloat())) {        // [DE] Zum Abfangen von NAN und komischer Werte
    delay(125);                                                                      // [EN]
    var_float_getHum = var_dhtSensor.readTemperature();                         
    delay(125);
  }
  if (isnan(var_float_getHum)) {                                                    // [DE] Zum Abfangen von NAN und komischer Werte
    var_float_getHum = Value102Luftfeuchtigkeit.toFloat();                          // [EN]                        
  }

  return var_float_getHum;
}
