#include "IOmqttSensor3.h"
#include "IOmgttSensor3_Configs.h"
#include "IOmqttSensor3_Sprache.h"

bool fkt_WifiConnect(const char* user, const  char* pass){
  pinMode(BUILTIN_LED, OUTPUT);
  WiFi.mode(WIFI_STA);
  Serial.println(String(IO_Wifi_Verbinde));
  WiFi.begin(user, pass);
  int ConnectCounter = 0;
  while (WiFi.status() != WL_CONNECTED) {
    digitalWrite(BUILTIN_LED, !digitalRead(BUILTIN_LED));
    ConnectCounter = ConnectCounter + 1;
    Serial.println("#");
    delay(5000);
    
    if (ConnectCounter > 15) {
      Serial.println(String(IO_Wifi_KeinWlan));
      delay(5000);
      ESP.restart();
    }
    Serial.println(String(IO_Wifi_Verbunden));
    delay((SensorWlanWifiErrorDelay));
  }
  digitalWrite(BUILTIN_LED, HIGH);
  return true;
}

bool fkt_WifiStatus(){
  if (WiFi.status() == WL_CONNECTED){
    return true;
  } else {
    Serial.println(String(IO_Wifi_Reconnect));
    fkt_WifiReConnect();
  }
}

bool fkt_WifiReConnect(){
  WiFi.disconnect();
  if (fkt_WifiConnect(SensorWlanSsid, SensorWlanPass)) {
    return true;
  } else {
    return false;
  }
  
}

int fkt_WifiProzent(){
  int int_var_wlaninProzent = map(WiFi.RSSI(), -100, -40, 0, 100);
  return int_var_wlaninProzent;
}



